[MAC] Compiling on OSX Lion / Xcode 4.1`

  Thread Rating:
  • 0 Votes - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Post Reply
davilla Offline
Team-XBMC Developer
Posts: 10,399
Joined: Feb 2008
Reputation: 58
Post: #81
dmgmaker.pl is driven by how you configure xbmc in tools/darwin/depends/xbmx.Makefile
Pass the right flag and it will compile release. This will not be changed.


MediaInfo : http://mediainfo.sourceforge.net/
Do not e-mail XBMC-Team members directly asking for support. Read/follow the forum rules.
find quote
jingai Offline
Skilled Skinner
Posts: 871
Joined: Mar 2010
Reputation: 6
Post: #82
Got it. Thanks guys for the help!

If it helps anyone else, here is the script I'm using to build it all:

Code:
#! /bin/sh -x

fail() {
    [ -n "%1" ] && echo "$1" 1>&2
    exit 1
}

export XBMC_HOME="$HOME/dev/xbmc"
export XBMC_DARWIN_RELEASE=Release

pushd tools/darwin/depends
( ./bootstrap && ./configure --with-darwin=osx --with-arch=i386 --with-sdk=10.6 ) || fail "CONFIGURE FAILED FOR osx-depends."
[ "$1" == "clean" ] && ( echo make clean || fail "CLEAN FAILED FOR osx-depends." )
[ "$1" == "distclean" ] && ( echo make distclean || fail "DISTCLEAN FAILED FOR osx-depends." )
make || fail "BUILD FAILED FOR osx-depends."
popd

make -C tools/darwin/depends/xbmc || fail "CONFIGURE FAILED."

[ "$1" == "clean" -o "$1" == "distclean" ] && make clean

make xcode_depends || fail "BUILD FAILED FOR xcode_depends."
xcodebuild -sdk macosx10.6 -project XBMC.xcodeproj -target XBMC.app ONLY_ACTIVE_ARCH=YES ARCHS=i386 VALID_ARCHS=i386 -configuration $XBMC_DARWIN_RELEASE build || fail "xcodebuild FAILED."

make -C tools/darwin/packaging/xbmc-osx
(This post was last modified: 2012-08-07 17:03 by jingai.)
find quote
davilla Offline
Team-XBMC Developer
Posts: 10,399
Joined: Feb 2008
Reputation: 58
Post: #83
no silly Smile

XBMC_DARWIN_RELEASE=Release Make -C tools/darwin/depends/xbmc


MediaInfo : http://mediainfo.sourceforge.net/
Do not e-mail XBMC-Team members directly asking for support. Read/follow the forum rules.
find quote
i5Js Offline
Senior Member
Posts: 227
Joined: Dec 2009
Reputation: 0
Post: #84
(2012-08-06 23:58)Memphiz Wrote:  Have fixed it i guess. If you switch from gui build to commandline you have to rm the links in build/Debug and build/Release ... the other way around is fine ... (that said - only with the latest commits from me of course).

I'm sorry, but I don't understand what I have to remove, and where SadSadSadSad
find quote
davilla Offline
Team-XBMC Developer
Posts: 10,399
Joined: Feb 2008
Reputation: 58
Post: #85
XBMC_DARWIN_RELEASE is an environment var that the makefile looks for

export XBMC_DARWIN_RELEASE=Release
make -C tools/darwin/depends/xbmc



or you can just add --disable-debug to xbmc's configure.


MediaInfo : http://mediainfo.sourceforge.net/
Do not e-mail XBMC-Team members directly asking for support. Read/follow the forum rules.
(This post was last modified: 2012-08-07 17:04 by davilla.)
find quote
jingai Offline
Skilled Skinner
Posts: 871
Joined: Mar 2010
Reputation: 6
Post: #86
(2012-08-07 16:30)davilla Wrote:  no silly Smile

XBMC_DARWIN_RELEASE=Release Make -C tools/darwin/depends/xbmc

I figured it out Tongue Posted that before I even looked at it.. sorry lol.

Thanks again!
(2012-08-07 17:01)i5Js Wrote:  
(2012-08-06 23:58)Memphiz Wrote:  Have fixed it i guess. If you switch from gui build to commandline you have to rm the links in build/Debug and build/Release ... the other way around is fine ... (that said - only with the latest commits from me of course).

I'm sorry, but I don't understand what I have to remove, and where SadSadSadSad

Just blow away everything in the build/ directory:

% rm -rf build/*

Then pull in the latest changes from github and build again.
(This post was last modified: 2012-08-07 17:06 by jingai.)
find quote
i5Js Offline
Senior Member
Posts: 227
Joined: Dec 2009
Reputation: 0
Post: #87
Thanks Davilla, Memphiz and Jingai, It worked!!!
(This post was last modified: 2012-08-08 16:26 by i5Js.)
find quote
Memphiz Offline
Team-XBMC Developer
Posts: 7,677
Joined: Feb 2011
Reputation: 91
Location: germany
Post: #88
i want that "m" in my nick for sure - but your welcome. Wink

AppleTV2/iPhone/iPod: HowTo find debug logs and everything else which the devs like so much: click here
HowTo setup NFS for XBMC: Wiki NFS
HowTo configure avahi (zeroconf): Wiki Avahi
READ THE IOS FAQ!: iOS FAQ
find quote
i5Js Offline
Senior Member
Posts: 227
Joined: Dec 2009
Reputation: 0
Post: #89
(2012-08-07 23:14)Memphiz Wrote:  i want that "m" in my nick for sure - but your welcome. Wink

Fixed! Big Grin
find quote
i5Js Offline
Senior Member
Posts: 227
Joined: Dec 2009
Reputation: 0
Post: #90
Hello again!!

new error here

Code:
kaya:xbmc i5Js$ make -C tools/darwin/depends/xbmc
cd ../../../../; ./bootstrap
make[1]: Nothing to be done for `all'.
cd ../../../../; ./configure --prefix=/Users/Shared/xbmc-depends/macosx10.8_x86_64 --enable-upnp --enable-gtest --disable-rsxs PKG_CONFIG_PATH=/Users/Shared/xbmc-depends/macosx10.8_x86_64/lib/pkgconfig PYTHON=/Users/Shared/xbmc-depends/macosx10.8_x86_64/bin/python
configure: loading site script /Users/Shared/xbmc-depends/macosx10.8_x86_64/share/config.site
checking for a BSD-compatible install... /usr/bin/install -c
...........
checking sys/inotify.h usability... no
checking sys/inotify.h presence... no
checking for sys/inotify.h... no
checking boost/shared_ptr.hpp usability... no
checking boost/shared_ptr.hpp presence... no
checking for boost/shared_ptr.hpp... no
configure: error: Could not find a required library. Please see the README for your platform.
make: *** [configure] Error 1

BR
find quote
Post Reply